OperationCreateConicalBentPlateByPartsAndAperture Method |
Modifies the first plate by adding a conical bend that connects it to the second plate
creating a new BentPlate instance based on two parts. The resulting bend
will have the given aperture and the provided larger radius.
Namespace: Tekla.Structures.Model.Operations
Assembly: Tekla.Structures.Model (in Tekla.Structures.Model.dll) Version: 2023.0.3
Syntax
public static BentPlate CreateConicalBentPlateByPartsAndAperture( Part part1, Part part2, double largestRadius, double halfAperture )
Parameters
- part1
- Type: Tekla.Structures.ModelPart
One part used for creating the bent plate. - part2
- Type: Tekla.Structures.ModelPart
The other part used for creating the bent plate. - largestRadius
- Type: SystemDouble
Radius of the largest section of the cone - halfAperture
- Type: SystemDouble
Angle between a generatrix of the cone and its center line (i.e. axis)
Return Value
Type: BentPlateThe bent plate object if successful, null otherwise
See Also